%define module pyflakes

Name:           python-%{module}
Version:        1.0.0
Release:        %mkrel 1
Summary:        Simple program which checks Python source files for errors
License:        MIT
Group:          Development/Python
URL:            https://pypi.python.org/pypi/pyflakes
Source:         https://pypi.python.org/packages/source/p/pyflakes/%{module}-%{version}.tar.gz
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
Provides:       pyflakes
Obsoletes:      pyflakes
BuildArch:      noarch

%description
Pyflakes is a simple program which checks Python source files for errors. It is
similar to PyChecker in scope, but differs in that it does not execute the
modules to check them. This is both safer and faster, although it does not
perform as many checks.
Unlike PyLint, Pyflakes checks only for logical errors in programs; it does
not perform any checks on style.

%package -n python3-%{module}
Summary:        Simple program which checks Python source files for errors
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
Pyflakes is a simple program which checks Python source files for errors. It is
similar to PyChecker in scope, but differs in that it does not execute the
modules to check them. This is both safer and faster, although it does not
perform as many checks.
Unlike PyLint, Pyflakes checks only for logical errors in programs; it does
not perform any checks on style.

This is a version for Python 3.

%prep
%setup -qn %{module}-%{version}

# Python 3 prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%py2_build

# Python 3 build
pushd %{py3dir}
%py3_build
popd

%check
%define enable_tests 0
%if %{enable_tests}
%{__python2} setup.py test
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%install
# Python 3 first
pushd %{py3dir}
%py3_install
for FILE in %{buildroot}%{_bindir}/*; do
    NAME=$(basename $FILE)
    mv $FILE %{buildroot}%{_bindir}/python3-$NAME
done
popd

# Python 2
%py2_install

%files
%{_bindir}/%{module}
%{python2_sitelib}/*

%files -n python3-%{module}
%{_bindir}/python3-%{module}
%{python3_sitelib}/*


%changelog
* Fri Jan 08 2016 dglent <dglent> 1.0.0-1.mga6
+ Revision: 920580
- Version 1.0.0

* Wed Oct 07 2015 daviddavid <daviddavid> 0.8.1-5.mga6
+ Revision: 886835
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 739450
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.1-3.mga5
+ Revision: 729452
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 688250
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 pterjan <pterjan> 0.8.1-1.mga5
+ Revision: 630334
- 0.8.1
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.3-4.mga4
+ Revision: 543973
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.3-3.mga4
+ Revision: 499190
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 0.7.3-2.mga4
+ Revision: 490589
- add Provides and Obsoletes on pyflakes

* Wed Oct 02 2013 grenoya <grenoya> 0.7.3-1.mga4
+ Revision: 490489
- add setuptools as BR
- new version 0.7.3
- adapt spec file to new name
- add python3 package
- move pyflakes to python-pyflakes to fit policy

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 378401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 08 2011 grenoya <grenoya> 0.5.0-1.mga2
+ Revision: 141241
- upgrade to 0.5.0
- clean spec
- fix url and licence
- use macro when possible
- imported package pyflakes

